RMMOD(8)

NAZWA

rmmod - prosty program do usuwania modułu z jądra Linux

SKŁADNIA

rmmod [OPCJE] [lista-nazw-modułów]

OPIS

rmmod jest bardzo prostym programem do usuwania modułu lub listy modułów z jądra (gdy obsługa usuwania załadowanego modułu jest dostępna). Większość użytkowników będzie wolała użyć do tego celu modprobe(8) z opcją -r, ponieważ usuwa ona również nieużywane moduły zależne.

Gdy poda się listę modułów, program przetworzy je po kolei. Jeśli nie znajdzie jakiegoś modułu, rmmod natychmiast wyjdzie z kodem błędu. Jeśli natomiast nie powiedzie się usunięcie modułu, program odnotuje błąd ORAZ przejdzie do kolejnego modułu. To zachowanie NIE zależy od opcji --force.

OPCJE

-f, --force
    Ta opcja może być ekstremalnie niebezpieczna: nie odnosi skutku, chyba że podczas kompilacji jądra ustawiono opcje CONFIG_MODULE_FORCE_UNLOAD. Przy użyciu tej opcji, można usunąć moduły, które są w użyciu lub takie, które nie zostały zaprojektowane do usuwania albo zostały oznaczone jako niebezpieczne (patrz lsmod(8)).

-s, --syslog
    Wysyła błędy do sysloga, zamiast na standardowe wyjście błędów.

-v, --verbose
    Wypisuje informacje o czynnościach wykonywanych przez program. rmmod wypisuje zwykle komunikaty jedynie, gdy występują jakieś problemy.

-V, --version
    Wyświetla informacje o wersji i kończy działanie.

-h, --help
    Wyświetla komunikat pomocy i wychodzi.

PRAWA AUTORSKIE

Pierwotnie: Copyright 2002, Rusty Russell, IBM Corporation.

ZOBACZ TAKŻE

modprobe(8), insmod(8), lsmod(8), modinfo(8), depmod(8)

USTERKI

Zgłoszeń błędów prosimy dokonywać w systemie śledzenia błędów pod adresem https://github.com/kmod-project/kmod/issues/, wraz z informacją o wersji programu, krokach potrzebnych do odtworzenia problemu oraz oczekiwanym rezultacie.

AUTORZY

Wielu współautorów pochodzi z listy dyskusyjnej linux-modules pod adresem <linux-modules@vger.kernel.org> oraz z Githuba. Mając sklonowane repozytorium kmod.git, wynik polecenia git-shortlog(1) i git-blame(1) ukaże autorów danej części projektu.

Projektem opiekuje się aktualnie Lucas De Marchi <lucas.de.marchi@gmail.com>.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Andrzej Krzysztofowicz <ankry@green.mf.pg.gda.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.